 <% if user_signed_in? %>
  <h1>Learning resources</h1>
  <div id="learning_resources" class="row">
    <% @learning_resources.each do |learning_resource| %>
      <div class="col-md-4 mb-3">
        <div class="card">

          <% if learning_resource.thumbnail.present? %>
            <%= image_tag learning_resource.thumbnail, class: "card-img-top"  %>
          <% else %>
            <img src="https://2.bp.blogspot.com/-MowVHfLkoZU/VhgIRyPbIoI/AAAAAAAATtI/fHk-j_MYUBs/s640/placeholder-image.jpg" alt="Default Thumbnail" class="card-img-top" />
          <% end %>

          <div class="card-body">
            <h5 class="card-title"><%= learning_resource.topic %></h5>
            <p class="card-text text-truncate" style="max-height: 3.6em; overflow: hidden;">
              Description or other content about the learning resource goes here.
            </p>
            <%= link_to "Show this learning resource", learning_resource, class: "btn btn-primary" %>
          </div>
        </div>
      </div>
    <% end %>
  </div>

  <%= link_to "New learning resource", new_learning_resource_path, class: "btn btn-success" %>
<% else %>

<div class="jumbotron rounded d-flex align-items-center justify-content-center custom-bg" style="height: 80vh; background-size: cover;">
   <div class="gradient-overlay" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(to bottom, rgba(0,0,0,0.4), transparent); pointer-events: none; z-index: 1;"></div>
  <div class="container text-center">
      <h1 style="color: black;">Welcome to the Cultural Quiz Platform</h1>
    <p style="color: black;">Test your knowledge about various cultural topics from around the world. Explore different cultures, traditions, and customs.</p>
    <p><a class="btn btn-primary btn-lg" href="#" role="button">Start Quiz »</a></p>
  </div>
</div>

<% end %>
</div>
